<?php 

function wallet_statement_cb() {
	$session = Session::getInstance();
	if(isset($_GET['id']) && current_user_can("access_others_wallet_statement")) {
		$user_id = $_GET['id'];
	} else $user_id = $session->id;
	do_action("display_qf_search_box", [
	  	'default' => ['user_id' => $user_id],
	    'id' => "pm_qf_wallet_statement",
	    'query_function' => 'pm_qf_get_wallet_statement',
	    'settings' => ['autoload' => true, 'limit' => 100, 'autostart' => true, 'cache' => false],
	]);
}